{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <title>Daftar Vaksin</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.0.1/css/bootstrap.min.css" rel="stylesheet">
        <link href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap5.min.css" rel="stylesheet">
        <link rel="stylesheet" href="{% static 'styles/register.css' %}">
        <style>
            form {
                padding: 20px;
            }
        </style>
    </head>

    <body>

        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
                <a href="/home" class="navbar-brand" style="padding: 10px">Home</a>
                <a href="/home-panitia" class="navbar-brand" style="padding: 10px">Penjadwalan Vaksin</a>
                <a href="/vaksin" class="navbar-brand" style="padding: 10px">Vaksin</a>
                <a href="/vaksin/jadwal-vaksinasi" class="navbar-brand" style="padding: 10px">Daftar Vaksinasi</a>
            </div>
            <a href="/tiket-saya" class="navbar-brand" style="padding: 10px">Tiket Saya</a>
            <a href="/login" class="navbar-brand" style="padding: 10px">Logout</a>
        </nav>
        
        <h3 class="text-center field-label" style="padding-top: 20px; padding-bottom: 10px">Daftar Vaksin</h3>
        <div class="d-flex flex-row-reverse" style="padding: 20px">
          <a href="/vaksin/create"><button type="button" class="btn btn-success">Tambah Vaksin</button></a>
        </div>

        <div class="table-responsive"style="padding: 50px;">
            <table id="example" class="table table-hover table-dark">
            <thead>
                <tr>
                <th scope="col">Kode</th>
                <th scope="col">Nama</th>
                <th scope="col">Produsen</th>
                <th scope="col">No. Edar</th>
                <th scope="col">Freq. Suntikan</th>
                <th scope="col">Stok</th>
                <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                <!-- dummy data -->
                <tr>
                <td>vcn01</td>
                <td>Sinovac</td>
                <td>Sinovac Biotech</td>
                <td>bpom-123</td>
                <td>2</td>
                <td>205</td>
                <td>
                    <button type="button" class="btn btn-outline-danger" onclick="deleteVaksin()">Delete</button>
                    <a href="/vaksin/update-vaksin"><button type="button" class="btn btn-outline-warning">Update Stok</button></a></td>
                </tr>
                <tr>
                <td>vcn02</td>
                <td>Astrazeneca</td>
                <td>AstraZeneca</td>
                <td>bpom-124</td>
                <td>2</td>
                <td>289</td>
                <td>
                    <button type="button" class="btn btn-outline-danger" onclick="deleteVaksin()">Delete</button>
                    <a href><button type="button" class="btn btn-outline-warning">Update Stok</button></a></td>
                </tr>
                <tr>
                <td>vcn03</td>
                <td>Sinopharm</td>
                <td>Sinopharm</td>
                <td>bpom-125</td>
                <td>2</td>
                <td>413</td>
                <td>
                    <button type="button" class="btn btn-outline-danger" onclick="deleteVaksin()">Delete</button>
                    <a href><button type="button" class="btn btn-outline-warning">Update Stok</button></a></td>
                </tr>
            </tbody>
            <!-- end section -->
            </table>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
        <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script>
            $(document).ready(function() {
                $('#example').DataTable();
            } );
        </script>
        <script>
            function deleteVaksin() {
                swal({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    buttons: {
                        cancel: "Cancel",
                        catch: {
                            text: "Delete",
                            icon: "warning",
                        },
                    },
                    dangerMode: true,
                  })
                  .then((willDelete) => {
                    if (willDelete) {
                      swal("Vaksin has been deleted!", {
                        icon: "success",
                      });
                    } else {
                      swal("Vaksin not deleted");
                    }
                  });
            }
        </script>
    </body>
</html>
